Page MenuHomePhabricator

Mobile Apps PM has monthly report from oozie about apps uniques [8 pts]
Closed, ResolvedPublic

Description

Mobile apps team has daily data for apps uniques but they would also like to have a monthly report that reports uniques on a monthly basis.

Tasking notes:

  • Similar to daily job but bounded by monthly parameters.
  • Because we are computing uniques jobs must be different but underline logic is the same.
  • We will be using calendar months.

Event Timeline

Nuria created this task.Feb 2 2015, 6:44 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added subscribers: Nuria, Analytics-Engineering.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 6:44 PM
Aklapper set Security to None.
Tnegrin added a subscriber: Tnegrin.Feb 2 2015, 9:58 PM

Agree -- we should have daily uniques and monthly uniques. This matches industry convention.

thanks,

-Toby

kevinator triaged this task as High priority.Feb 5 2015, 1:01 AM

Spoke to Dan and they need this within a month.

kevinator lowered the priority of this task from High to Normal.Feb 12 2015, 2:16 AM
kevinator added a project: good first bug.

Is this still on track to be done by 10th March? We'll need this for the mobile quarterly review.

yes, it's still on track and we'll get to it very soon.

Great! Thank you!

kevinator raised the priority of this task from Normal to High.Feb 25 2015, 10:28 PM
kevinator renamed this task from Mobile Apps PM has monthly report from oozie about apps uniques to Mobile Apps PM has monthly report from oozie about apps uniques [8 pts].Feb 26 2015, 4:59 PM
kevinator updated the task description. (Show Details)
kevinator moved this task from Next Up to Tasked_Hidden on the Analytics-Kanban board.
JAllemandou closed this task as Resolved.Mar 4 2015, 10:19 PM

Code reviewd and merged, Andrew plans to deploy tomorrow, and when the jobs finish we should have some data :)

PSSH this aint resolved! Almost though! :)

@Deskana was asking: is this report run monthly on a month of data?

This report is run monthly, the first of each month, on previous month data.
It updates the data file adding newly computed values.

Forgot to document the report location:
hdfs:///wmf/data/archive/mobile_apps/uniques/monthly/data.gz

Note: Daily uniques can be found in:
hdfs:///wmf/data/archive/mobile_apps/uniques/daily/data.gz